#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Math
%define		pnam	Factor-XS
Summary:	Math::Factor::XS - Factorize numbers and calculate matching multiplications
Name:		perl-Math-Factor-XS
Version:	0.40
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fec7d1291fd9fecebe316d57f2a16cd3
URL:		http://search.cpan.org/dist/Math-Factor-XS/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-List-MoreUtils
BuildRequires:	perl-Params-Validate
BuildRequires:	perl-boolean
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Factor::XS factorizes numbers by applying trial divisions.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%dir %{perl_vendorarch}/Math/Factor
%{perl_vendorarch}/Math/Factor/XS.pm
%dir %{perl_vendorarch}/auto/Math/Factor
%dir %{perl_vendorarch}/auto/Math/Factor/XS
%{perl_vendorarch}/auto/Math/Factor/XS/XS.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Factor/XS/XS.so
%{_mandir}/man3/*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-Factor-XS.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 64e28d0
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 9b3c991
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 1e74665
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 2b09b59
- rebuild with perl 5.34.0

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> 3663b6c
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c97361b
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 2834613
- rebuild with perl 5.30.0
- release 8 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> ea9b62d
- rebuild with perl 5.28.0
- release 7 (by relup.sh)

* Fri Jun 23 2017 Jan Rękorajski <baggins@pld-linux.org> bd09c4d
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 52d9948
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e15b573
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f5276fc
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> ee853b6
- release 2 (by relup.sh)

* Tue Jun 09 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fc1361
- initial

